“SETI@home:优化程序”的版本间的差异

来自中国分布式计算总站
跳转至: 导航搜索
安装向导
(WFY)
第5行: 第5行:
 
'''Lunatics Unified Installer''' 是由 '''Lunatics Team''' 制作的 [[SETI@home]] 优化安装程序。集成了 Astropulse、MultiBeam 和 CUDA 的最新优化程序,傻瓜式安装,为用户提供向导式的安装优化计算程序,简化了之前手动安装优化程序的麻烦。
 
'''Lunatics Unified Installer''' 是由 '''Lunatics Team''' 制作的 [[SETI@home]] 优化安装程序。集成了 Astropulse、MultiBeam 和 CUDA 的最新优化程序,傻瓜式安装,为用户提供向导式的安装优化计算程序,简化了之前手动安装优化程序的麻烦。
 
=='''安装向导'''==
 
=='''安装向导'''==
[[Image:Lunatics_Unified_Installer_v037x64.png|230px|thumb|right|Lunatics Unified Installer 安装时的选项卡,用户可根据被安装计算机的特性选择有效的指令集选项,v0.41中不支持的选项已经屏蔽(灰色)。]]
+
[[Image:Lunatics_Unified_Installer.jpg|230px|thumb|right|Lunatics Unified Installer 安装时的选项卡,用户可根据被安装计算机的特性选择有效的指令集选项,v0.41中不支持的选项已经屏蔽(灰色)。]]
 
{{Warning|目前的混合安装包只适合Windows系统。如果你使用其它操作系统,请至作者网站寻找。}}
 
{{Warning|目前的混合安装包只适合Windows系统。如果你使用其它操作系统,请至作者网站寻找。}}
 
{{Tip|为了节省资源,安装优化程序会关闭图形显示。如果你十分喜欢屏保画面或者经常利用屏保宣传此项目,请勿安装优化程序。}}
 
{{Tip|为了节省资源,安装优化程序会关闭图形显示。如果你十分喜欢屏保画面或者经常利用屏保宣传此项目,请勿安装优化程序。}}
第43行: 第43行:
 
===v0.40下载===
 
===v0.40下载===
 
v0.40 版本未能检测用户计算机的 CPU 所支持的指令集资料,并在安装时对未支持的指令集选项禁止。如果安装了不支持的指令集的优化程序,会导致计算错误。因此需要用户在安装前确认被安装的计算机的 CPU 所支持的指令集信息。
 
v0.40 版本未能检测用户计算机的 CPU 所支持的指令集资料,并在安装时对未支持的指令集选项禁止。如果安装了不支持的指令集的优化程序,会导致计算错误。因此需要用户在安装前确认被安装的计算机的 CPU 所支持的指令集信息。
 
+
[Image:Lunatics_Unified_Installer_v037x64.png|230px|thumb|right|Lunatics Unified Installer 安装时的选项卡,用户可根据被安装计算机的特性选择有效的指令集选项。]]
 
查看准备安装优化程序的计算机的 CPU 所支持的指令集信息。
 
查看准备安装优化程序的计算机的 CPU 所支持的指令集信息。
 
*访问 [http://www.cpuid.com/ CPUID] 网站,下载最新的 CPU-Z 软件,运行后会显示 CPU 的指令集信息。([http://pan.baidu.com/share/link?shareid=414399&uk=3207560304 Windows-32bit版本下载])
 
*访问 [http://www.cpuid.com/ CPUID] 网站,下载最新的 CPU-Z 软件,运行后会显示 CPU 的指令集信息。([http://pan.baidu.com/share/link?shareid=414399&uk=3207560304 Windows-32bit版本下载])

2013年7月1日 (一) 12:39的版本

←回到SETI@home


50px 当前页面或段落需要更新
当前页面或段落提供了过时的信息,可能误导读者,希望了解相关内容的Wiki用户协助编辑。
用户 Arthur200000 给出的意见是:版本说明待更新 。
其他用户若有异议,请前往讨论:SETI@home:优化程序发表见解。
欢迎无wiki账号的用户到论坛Wiki系统讨论区注册)参与讨论。

SETI优化程序是一系列在保证结果准确度的前提下利用Wikipedia:zh:CPU指令集加快运算速度的程序。 Lunatics Unified Installer 是由 Lunatics Team 制作的 SETI@home 优化安装程序。集成了 Astropulse、MultiBeam 和 CUDA 的最新优化程序,傻瓜式安装,为用户提供向导式的安装优化计算程序,简化了之前手动安装优化程序的麻烦。

安装向导

文件:Lunatics Unified Installer.jpg
Lunatics Unified Installer 安装时的选项卡,用户可根据被安装计算机的特性选择有效的指令集选项,v0.41中不支持的选项已经屏蔽(灰色)。
警告: 目前的混合安装包只适合Windows系统。如果你使用其它操作系统,请至作者网站寻找。
小贴士: 为了节省资源,安装优化程序会关闭图形显示。如果你十分喜欢屏保画面或者经常利用屏保宣传此项目,请勿安装优化程序。

1. 访问 Lunatics Team 的优化程序下载页面,下载对应的 Lunatics' Unified Installer 版本。
如果找不到优化,可以尝试CPU优化作者arkayn的网站:http://www.arkayn.us/forum

(如不能下载,请联本站论坛管理员或版主)

2. 选择退出boinc manager并勾选“退出boinc manager 的同时停止运行科学计算程序”。然后运行 Lunatics Unified Installer,根据被安装计算机的特性选择有效的指令集选项。

版本信息

目前版本为 v0.41,仅支持 Windows 平台。目前的版本已经支持了自动探测CPU指令集,但是显卡型号需要自行选择。

具体的各优化程序版本:

  • Astropulse_r1797
    • 需要 CPU 支持 SSE 或者 SSE3 指令集,基于原r555/r557制作。
  • Multibeam(CPU AKv8c)
    • 需要 CPU 支持 SSE 或以上的指令集。
  • Multibeam(CUDA v41zc)
    • 需要支持 nVidia CUDA 的 GPU,驱动程序需要支持 CUDA 2.2 及版本在 185.85 以上(建议使用目前最新版本驱动),可用显存至少有 200~235 MB。原则上,这需要512MiB以上的显存;当然你也可以使用一个256MiB的显卡,为了尽量节省显存,你应该关闭一些显示效果,例如 Windows Vista 或以上版本的 Aero 效果(并且可以尝试降低颜色深度和刷新率,例如1024*768 16bit@60Hz)。这时,你应该时刻注意GPU-Z以及BOINC 管理器的窗口,以确认计算程序获得了足够的显存。显存不足的征兆有二:
  1. 对于BOINC:一个任务开始,运行极短时间(几秒钟)就换一个执行,原先的显示等待或者调度等待。
  2. 对于GPU-Z:传感器显示显存使用上升后立即下降。

如果你的尝试一再失败,请考虑不进行这个CUDA计算。

小贴士: 出现问题时可以尝试重启,一般会恢复。
  • AstroPulse NVidia (OpenCL)
    • 请参阅附带的ReadMe_AstroPulse_OpenCL_NV.txt文件。当留出一个CPU核心时,可以获得更高的处理效率。当然,在任务管理器中手动将该程序优先级提升至“高”也有类似的效果。
  • AstroPulse v5.05(ATI OpenCL/Brook r1843/r1854)
    • Brook需要ATI HD2000以上的GPU,而OpenCL则需要ATI HD4000以上的GPU)。请阅读ReadMe_AstroPulse_OpenCL_ATI.txt或者ReadMe_AstroPulse_Brook.txt以获取更多信息。当留出一个CPU核心时,可以获得更高的处理效率。当然,在任务管理器中手动将该程序优先级提升至“高”也有类似的效果。
  • MultiBeam(ATI OpenCL r1843)
    • 需要ATI HD4000以上的GPU(建议使用ATI HD5000以上的GPU)。请阅读ReadMe_MultiBeam_OpenCL_ATI.txt以获取更多信息。当留出一个CPU核心时,可以获得更高的处理效率。当然,在任务管理器中手动将该程序优先级提升至“高”也有类似的效果。

关于CUDA程序

v0.41 版本的综合安装包内提供了多种CUDA程序,选择判据如下:

  1. CUDA 2.2(最低驱动185.85):“老存货”,为无法更新驱动的用户设计。不兼容费米/开普勒架构。
  2. CUDA 2.3(最低驱动190.38):“存货”,用于老显卡,几乎是万能的。推荐用于8xxx 系列,9xxx 系列,GTX 200 系列等不支持费米/开普勒架构的显卡。不兼容费米/开普勒架构。
  3. CUDA 3.2(最低驱动263.06):“存货”,完全万能,支持费米/开普勒架构。
  4. CUDA 4.2(最低驱动301.48):推荐用于费米架构,可以获得极大的性能提升。
  5. CUDA 5.0(最低驱动306.23):推荐用于开普勒架构,可以获得极大的性能提升。

v0.40下载

v0.40 版本未能检测用户计算机的 CPU 所支持的指令集资料,并在安装时对未支持的指令集选项禁止。如果安装了不支持的指令集的优化程序,会导致计算错误。因此需要用户在安装前确认被安装的计算机的 CPU 所支持的指令集信息。 [Image:Lunatics_Unified_Installer_v037x64.png|230px|thumb|right|Lunatics Unified Installer 安装时的选项卡,用户可根据被安装计算机的特性选择有效的指令集选项。]] 查看准备安装优化程序的计算机的 CPU 所支持的指令集信息。

其他